Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.group.swt
Class GroupTextProperty

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.SimpleValueProperty
              org.eclipse.jface.databinding.swt.WidgetValueProperty
                  org.eclipse.emfforms.internal.group.swt.GroupTextProperty

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.value.IValueProperty, org.eclipse.jface.databinding.swt.IWidgetValueProperty

    public class GroupTextProperty

extends org.eclipse.jface.databinding.swt.WidgetValueProperty

Databinding Property for SWT Groups.

Author:
  Eugen Neufeld

Constructor Summary
`GroupTextProperty()`

Method Summary
`Object` | `getValueType()`
`String` | `toString()`

Methods inherited from class org.eclipse.jface.databinding.swt.WidgetValueProperty
`adaptListener, observe, observe, observe, observeDelayed`

Methods inherited from class org.eclipse.core.databinding.property.value.SimpleValueProperty
`observeDetail, observeDetail, observeDetail`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`getValue, list, map, observeDetail, set, setValue, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.value.IValueProperty
`getValue, list, map, observeDetail, observeDetail, observeDetail, observeDetail, set, setValue, value, valueFactory, valueFactory`

Constructor Detail

### GroupTextProperty

    public GroupTextProperty()

Method Detail

### getValueType

    public Object getValueType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.